Debian Bug report logs - #604340
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:alsa-tools; Maintainer for src:alsa-tools is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 19:24:06 UTC

Severity: important

Tags: sid, wheezy

Fixed in version alsa-tools/1.0.25-2

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#604340; Package src:alsa-tools. (Sun, 21 Nov 2010 19:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 21 Nov 2010 19:24:08 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 20:22:02 +0100
Source: alsa-tools
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:27:52 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:33:52 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#604340; Package src:alsa-tools. (Fri, 18 May 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 18 May 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #16 received at 604340@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604340@bugs.debian.org
Subject: Re: Bug#604340: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Fri, 18 May 2012 19:54:11 +0200
On Sun, Nov 21, 2010 at 08:22:02PM +0100, Eckhart Wörner wrote:
> Source: alsa-tools
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html
>

Hello maintainers,

One year and a half later, it is about time to remove Qt3.
In the case of alsa-tools, could you please drop from your binaries using Qt3?

Thanks,
Ana




Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 16:21:08 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sat, 19 May 2012 16:21:09 GMT) Full text and rfc822 format available.

Message #21 received at 604340-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 604340-close@bugs.debian.org
Subject: Bug#604340: fixed in alsa-tools 1.0.25-2
Date: Sat, 19 May 2012 16:17:17 +0000
Source: alsa-tools
Source-Version: 1.0.25-2

We believe that the bug you reported is fixed in the latest version of
alsa-tools, which is due to be installed in the Debian FTP archive:

alsa-firmware-loaders_1.0.25-2_amd64.deb
  to contrib/a/alsa-tools/alsa-firmware-loaders_1.0.25-2_amd64.deb
alsa-tools-gui_1.0.25-2_amd64.deb
  to main/a/alsa-tools/alsa-tools-gui_1.0.25-2_amd64.deb
alsa-tools_1.0.25-2.debian.tar.bz2
  to main/a/alsa-tools/alsa-tools_1.0.25-2.debian.tar.bz2
alsa-tools_1.0.25-2.dsc
  to main/a/alsa-tools/alsa-tools_1.0.25-2.dsc
alsa-tools_1.0.25-2_amd64.deb
  to main/a/alsa-tools/alsa-tools_1.0.25-2_amd64.deb
ld10k1_1.0.25-2_amd64.deb
  to main/a/alsa-tools/ld10k1_1.0.25-2_amd64.deb
liblo10k1-0_1.0.25-2_amd64.deb
  to main/a/alsa-tools/liblo10k1-0_1.0.25-2_amd64.deb
liblo10k1-dev_1.0.25-2_amd64.deb
  to main/a/alsa-tools/liblo10k1-dev_1.0.25-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 May 2012 15:48:10 +0200
Source: alsa-tools
Binary: alsa-tools alsa-tools-gui alsa-firmware-loaders ld10k1 liblo10k1-0 liblo10k1-dev
Architecture: source amd64
Version: 1.0.25-2
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-firmware-loaders - ALSA software loaders for specific hardware
 alsa-tools - Console based ALSA utilities for specific hardware
 alsa-tools-gui - GUI based ALSA utilities for specific hardware
 ld10k1     - ALSA emu10k1/2 patch loader
 liblo10k1-0 - ALSA emu10k1/2 patch-loader library
 liblo10k1-dev - ALSA emu10k1/2 patch-loader library development files
Closes: 604340
Changes: 
 alsa-tools (1.0.25-2) unstable; urgency=low
 .
   * Remove qlo10k1 entirely. It's based on Qt3 which is going away for
     wheezy (closes: #604340).
   * As a side effect, simplify configure calls by removing obsolete
     options.
   * Do not build liblo10k1 with --enable-static and drop .a files from
     the -dev package.
   * Bump Standards-Version to 3.9.3, no changes needed.
   * Remove Mikael Magnusson from Uploaders.
   * Don't install upstream AUTHORS files, the info is already in copyright.
   * Use dpkg-buildflags when configuring, to enable hardening flags.
     Add a build-dependency on dpkg-dev (>= 1.16.1).
   * Refresh all patches.
   * Add lo10k1_format-security.patch to fix -Werror=format-security build
     errors uncovered by the hardening flags now in use.
   * Add ac3dec_cflags.patch to avoid overwriting CFLAGS.
Checksums-Sha1: 
 ed459f3847b78a3a60a3ca8c62dd18e9bfbf0e6a 1686 alsa-tools_1.0.25-2.dsc
 3c6b48ec3c896743edb07deea3b873078dab24e9 30031 alsa-tools_1.0.25-2.debian.tar.bz2
 f4475eb32fe44173a93077874192d062e83239be 92200 alsa-tools_1.0.25-2_amd64.deb
 b84ce4b2e482b58c229b508f76a3fcb06402eaf4 279032 alsa-tools-gui_1.0.25-2_amd64.deb
 048e9aafaac995d0820fb196a187f21c6655f935 38244 alsa-firmware-loaders_1.0.25-2_amd64.deb
 53809a4d29cf08386a9dee3c56a765aeecd939e5 117116 ld10k1_1.0.25-2_amd64.deb
 7ef165f0215fdc0bf04f4641ea89b9b5de129f22 37376 liblo10k1-0_1.0.25-2_amd64.deb
 e0bfea78da1d124e8504ae4611ffa995c6baaa99 20794 liblo10k1-dev_1.0.25-2_amd64.deb
Checksums-Sha256: 
 ab510d9a96acbb364ea603474030f0f21001fe83501389c448c6645415fe5dcd 1686 alsa-tools_1.0.25-2.dsc
 cc7c0a8cad12471eedba12d3efea742bb58263142c5ff04f043c40e6043aec1a 30031 alsa-tools_1.0.25-2.debian.tar.bz2
 f5dc34073674dc34220d510542f21b082c3758bc59c70eed654d486ddc200d21 92200 alsa-tools_1.0.25-2_amd64.deb
 2c7fa022ce3d4736d839161f422a06eb17af4dfc2e87f17822e1b6f78a591aed 279032 alsa-tools-gui_1.0.25-2_amd64.deb
 4282c23deae1f1cd5669d86281f26e7bf58e33421df213548fa14445a1a3baf8 38244 alsa-firmware-loaders_1.0.25-2_amd64.deb
 f06a1af3cdcec63cd845f66b01e3b86901beb16e3f81a4b5052d3352225d09a1 117116 ld10k1_1.0.25-2_amd64.deb
 5aa7eb02965f42956606f9df11b1eb33aaa16232f476f736b67d319e254c25b2 37376 liblo10k1-0_1.0.25-2_amd64.deb
 e7160db91e9881ae35c32762183f88423f594ee05d08288791965e431b689ae3 20794 liblo10k1-dev_1.0.25-2_amd64.deb
Files: 
 1b99198cdf60c8d2c65b0ac211b373a9 1686 sound extra alsa-tools_1.0.25-2.dsc
 8729e61d99c613c354d137e7dda2920f 30031 sound extra alsa-tools_1.0.25-2.debian.tar.bz2
 94f6e648740121d617749512438a9880 92200 sound extra alsa-tools_1.0.25-2_amd64.deb
 f94adaa1c81c62864f38101291821970 279032 sound extra alsa-tools-gui_1.0.25-2_amd64.deb
 cbfc88429d6c88a3dba19e4ae4272085 38244 contrib/sound extra alsa-firmware-loaders_1.0.25-2_amd64.deb
 be954a9cdf17d6db2f95b78643b67c18 117116 sound extra ld10k1_1.0.25-2_amd64.deb
 ee70cec648a613931412d19725e49291 37376 libs extra liblo10k1-0_1.0.25-2_amd64.deb
 a3fa4cc76e2d8c832df2fc48a09c4287 20794 libdevel extra liblo10k1-dev_1.0.25-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+3xdQACgkQJYSUupF6Il4oFACg3v3lpZQOty1H4luZmQzzNWQS
O/8AnA6OvK7/Dw0GPrN9PR5PVgll24ed
=MKEo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:38:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:44:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.